Texa DeskDevelopers

Texa Desk Application API · Custom filters

Get a custom filter details

GET/api/v1/accounts/{account_id}/custom_filters/{custom_filter_id}

Get the details of a custom filter in the account

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

custom_filter_idintegerrequired

The numeric ID of the custom filter

Responses

200

Success

idnumber

The ID of the custom filter

namestring

The name of the custom filter

typestring

The description about the custom filter One of: conversation, contact, report.

queryobject

A query that needs to be saved as a custom filter

created_atstring (date-time)

The time at which the custom filter was created

updated_atstring (date-time)

The time at which the custom filter was updated

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

The given team ID does not exist in the account

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring